Get a template field
You're viewing API version
2026-09, which is deprecated and stops working on October 1, 2027. To move your integration, see Upgrading to 2026-10.GET
Get one content block of a template by its field ID.
header
AuthorizationBearer <token>Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.
id*stringfieldId*string200
application/json- response
id*stringUnique field identifier
documentId?|Document this field belongs to
templateId?|Template this field belongs to
type*stringField type
Value in
"TEXT""HTML""FORM""PDF""PRODUCT_TABLE""TABLE""SPACER""PAGE_BREAK""DURATION"position*number0-based order of the field among the document's content blocks
fieldMeta*||||||||Type-specific content. For PDF fields this includes placedFields (boxes placed on the PDF pages) and formFields (form fields extracted from the PDF).
createdAt?unknownupdatedAt?unknowncurl -X GET 'https://app.sajn.se/api/v1/templates/string/fields/string' \ -H 'authorization: string'Example Response
{ "id": "string", "documentId": "string", "templateId": "string", "type": "TEXT", "position": 0, "fieldMeta": { "type": "TEXT", "content": "string", "locked": true, "sectionStyle": { "background": "none", "padding": "none", "bleed": true, "border": true }, "visibilityRule": { "customInputId": "string", "equals": "string", "mode": "SHOW_WHEN" }, "hidden": true }, "createdAt": null, "updatedAt": null}Was this page helpful?